diff bin/? @ 3557:9eed56c86b4e

<nooodl> revert f6f3d9626c03
author HackBot
date Thu, 29 Aug 2013 20:32:45 +0000
parents bc37b2b9cc23
children fec2e65e53bc
line wrap: on
line diff
--- a/bin/?	Thu Aug 29 20:31:16 2013 +0000
+++ b/bin/?	Thu Aug 29 20:32:45 2013 +0000
@@ -1,1 +1,13 @@
-cat
+#!/bin/sh
+topic=$(echo "$1" | lowercase | sed "s/ *$//")
+topic1=$(echo "$topic" | sed "s/s$//")
+cd wisdom
+if [ \( "$topic1" = "ngevd" \) -a \( -e ngevd \) ];
+    then cat /dev/urandom;
+    elif [ -e "$topic" ];
+    then cat "$topic" | rnooodl;
+    elif [ -e "$topic1" ];
+    then cat "$topic1" | rnooodl;
+    else echo "$1? ¯\(°_o)/¯"; exit 1;
+fi
+